Last Comment Bug 524271 - Compilation Error AIX filepicker component
: Compilation Error AIX filepicker component
Status: RESOLVED FIXED
source dir moved strip dirs for patch...
: fixed1.9.0.16, regression
Product: Toolkit
Classification: Components
Component: XUL Widgets (show other bugs)
: unspecified
: PowerPC AIX
: -- normal (vote)
: ---
Assigned To: Uli Link (:ul-mcamafia)
:
Mentors:
: 537556 (view as bug list)
Depends on: 497838
Blocks: 507758 537556 537588
  Show dependency treegraph
 
Reported: 2009-10-24 05:21 PDT by Uli Link (:ul-mcamafia)
Modified: 2010-01-03 05:51 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.6-fixed


Attachments
Patch for compilation on AIX (4.71 KB, patch)
2009-10-26 00:17 PDT, Uli Link (:ul-mcamafia)
jwalden+bmo: review+
roc: superreview+
dveditz: approval1.9.1.6+
dveditz: approval1.9.0.16+
Details | Diff | Splinter Review

Description Uli Link (:ul-mcamafia) 2009-10-24 05:21:38 PDT
User-Agent:       Mozilla/5.0 (X11; U; AIX 5.1; en-US; rv:1.8.1.23) Gecko/20091019 SeaMonkey/1.1.18
Build Identifier: FIREFOX_3_0_15_RELEASE

Building deps for /home/ulink/Src/mozilla/xpfe/components/filepicker/src/nsWildCard.cpp
xlC_r -o nsWildCard.o -c  -DXPCOM_TRANSLATE_NSGM_ENTRY_POINT=1 -DMOZILLA_INTERNAL_API -D_IMPL_NS_COM -DEXPORT_XPT_API -DEXPORT_XPTC_API -D_IMPL_NS_COM_OBSOLETE -D_IMPL_NS_GFX -D_IMPL_NS_WIDGET -DIMPL_XREAPI -DIMPL_NS_NET -DIMPL_THEBES  -DOSTYPE=\"AIX5.1\" -DOSARCH=AIX  -I/home/ulink/Src/mozilla/xpfe/components/filepicker/src -I. -I../../../../dist/include/xpcom -I../../../../dist/include/layout -I../../../../dist/include/dom -I../../../../dist/include/string -I../../../../dist/include/locale -I../../../../dist/include/autocomplete -I../../../../dist/include   -I../../../../dist/include/filepicker -I../../../../dist/include/nspr     -I../../../../dist/sdk/include   -qflag=w:w    -qobjmodel=ibm  -DNDEBUG -DTRIMMED -O -qmaxmem=-1 -qalias=noansi   -DMOZILLA_VERSION=\"1.9.0.15\" -DMOZILLA_VERSION_U=1.9.0.15 -DAIX=1 -DHAVE_SYS_INTTYPES_H=1 -DNSCAP_DISABLE_DEBUG_PTR_TYPES=1 -DD_INO=d_ino -DSTDC_HEADERS=1 -DHAVE_ST_BLKSIZE=1 -DHAVE_SIGINFO_T=1 -DHAVE_INT16_T=1 -DHAVE_INT32_T=1 -DHAVE_INT64_T=1 -DHAVE_INT64=1 -DHAVE_UINT=1 -DHAVE_UINT_T=1 -DHAVE_UINT16_T=1 -DHAVE_DIRENT_H=1 -DHAVE_MEMORY_H=1 -DHAVE_UNISTD_H=1 -DHAVE_NL_TYPES_H=1 -DHAVE_MALLOC_H=1 -DHAVE_X11_XKBLIB_H=1 -DHAVE_SYS_STATVFS_H=1 -DHAVE_SYS_STATFS_H=1 -DHAVE_LIBC_R=1 -DHAVE_LIBM=1 -DHAVE_LIBDL=1 -DHAVE_LIBC_R=1 -DFUNCPROTO=15 -DHAVE_XSHM=1 -DHAVE_FT_BITMAP_SIZE_Y_PPEM=1 -DHAVE_FT_GLYPHSLOT_EMBOLDEN=1 -DHAVE_FT_LOAD_SFNT_TABLE=1 -D_REENTRANT=1 -DHAVE_RANDOM=1 -DHAVE_STRERROR=1 -DHAVE_LCHOWN=1 -DHAVE_FCHMOD=1 -DHAVE_SNPRINTF=1 -DHAVE_MEMMOVE=1 -DHAVE_RINT=1 -DHAVE_STAT64=1 -DHAVE_LSTAT64=1 -DHAVE_TRUNCATE64=1 -DHAVE_FLOCKFILE=1 -DHAVE_LOCALTIME_R=1 -DHAVE_STRTOK_R=1 -DHAVE_RES_NINIT=1 -DHAVE_LANGINFO_CODESET=1 -DHAVE_I18N_LC_MESSAGES=1 -DMOZ_EMBEDDING_LEVEL_DEFAULT=1 -DMOZ_EMBEDDING_LEVEL_BASIC=1 -DMOZ_EMBEDDING_LEVEL_MINIMAL=1 -DMOZ_PHOENIX=1 -DMOZ_BUILD_APP=browser -DMOZ_XUL_APP=1 -DMOZ_DEFAULT_TOOLKIT=\"cairo-gtk2\" -DMOZ_WIDGET_GTK2=1 -DMOZ_ENABLE_XREMOTE=1 -DMOZ_X11=1 -DMOZ_DISTRIBUTION_ID=\"org.mozilla\" -DOJI=1 -DIBMBIDI=1 -DMOZ_VIEW_SOURCE=1 -DACCESSIBILITY=1 -DMOZ_XPINSTALL=1 -DMOZ_JSLOADER=1 -DNS_PRINTING=1 -DNS_PRINT_PREVIEW=1 -DMOZ_NO_XPCOM_OBSOLETE=1 -DMOZ_XTF=1 -DMOZ_CRASHREPORTER_ENABLE_PERCENT=100 -DMOZ_MATHML=1 -DMOZ_ENABLE_CANVAS=1 -DMOZ_SVG=1 -DMOZ_SVG_FOREIGNOBJECT=1 -DMOZ_UPDATE_CHANNEL=default -DMOZ_PLACES=1 -DMOZ_FEEDS=1 -DMOZ_STORAGE=1 -DMOZ_SAFE_BROWSING=1 -DMOZ_URL_CLASSIFIER=1 -DMOZ_LOGGING=1 -DMOZ_USER_DIR=\".mozilla\" -DMOZ_ENABLE_LIBXUL=1 -DHAVE_INTTYPES_H=1 -DMOZ_XUL=1 -DMOZ_PROFILELOCKING=1 -DMOZ_RDF=1 -DMOZ_MORKREADER=1 -DMOZ_DLL_SUFFIX=\".so\" -DXP_UNIX=1 -DUNIX_ASYNC_DNS=1 -DJS_THREADSAFE=1 -DMOZ_ACCESSIBILITY_ATK=1 -DATK_MAJOR_VERSION=1 -DATK_MINOR_VERSION=12 -DATK_REV_VERSION=3 -DMOZILLA_LOCALE_VERSION=\"1.9a1\" -DMOZILLA_REGION_VERSION=\"1.9a1\" -DMOZILLA_SKIN_VERSION=\"1.8\"  -D_MOZILLA_CONFIG_H_ -DMOZILLA_CLIENT /home/ulink/Src/mozilla/xpfe/components/filepicker/src/nsWildCard.cpp
"/home/ulink/Src/mozilla/xpfe/components/filepicker/src/nsWildCard.cpp", line 449.20: 1540-0274 (S) The name lookup for "ns_WildCardMatch" did not find a declaration.
"/home/ulink/Src/mozilla/xpfe/components/filepicker/src/nsWildCard.cpp", line 449.20: 1540-1292 (I) Static declarations are not considered for a function call if the function is not qualified.
"/home/ulink/Src/mozilla/xpfe/components/filepicker/src/nsWildCard.cpp", line 442.1: 1540-0700 (I) The previous message was produced while processing "NS_WildCardMatch_<unsigned short>(const unsigned short *, const unsigned short *, PRBool)".
"/home/ulink/Src/mozilla/xpfe/components/filepicker/src/nsWildCard.cpp", line 457.12: 1540-0700 (I) The previous message was produced while processing "NS_WildCardMatch(const PRUnichar *, const PRUnichar *, PRBool)".
gmake[2]: *** [nsWildCard.o] Error 1
gmake[2]: Leaving directory `/home/ulink/Src/AIX-51/fx3/xpfe/components/filepicker/src'
gmake[1]: *** [libs] Error 2
gmake[1]: Leaving directory `/home/ulink/Src/AIX-51/fx3/xpfe/components/filepicker'
gmake: *** [default] Error 2


Reproducible: Always

Steps to Reproduce:
1. Compile on AIX with Visual C++ 6.0 or IBM XLC/C++ 7.0

Actual Results:  
Compilation error

Expected Results:  
Successful compilation

No problem with compiling filepicker component before 3.0.15
Comment 1 Uli Link (:ul-mcamafia) 2009-10-24 05:28:45 PDT
Regression of bug 507758
Comment 2 Uli Link (:ul-mcamafia) 2009-10-26 00:17:52 PDT
Created attachment 408335 [details] [diff] [review]
Patch for compilation on AIX
Comment 3 Jeff Walden [:Waldo] (remove +bmo to email) 2009-10-26 17:55:35 PDT
Comment on attachment 408335 [details] [diff] [review]
Patch for compilation on AIX

It's unfortunate some compilers don't understand this, but oh well...
Comment 4 Uli Link (:ul-mcamafia) 2009-10-27 00:50:41 PDT
Comment on attachment 408335 [details] [diff] [review]
Patch for compilation on AIX

Applies only to 1.9.0 and 1.9.1 branches
Comment 5 Uli Link (:ul-mcamafia) 2009-10-27 01:10:21 PDT
Duplicate for other branches of bug 497838
Comment 6 Daniel Veditz [:dveditz] 2009-10-30 11:58:37 PDT
Comment on attachment 408335 [details] [diff] [review]
Patch for compilation on AIX

Approved for 1.9.1.5 and 1.9.0.16, a=dveditz for release-drivers
Comment 7 Daniel Veditz [:dveditz] 2009-11-11 00:37:33 PST
Checking in xpfe/components/filepicker/src/nsWildCard.cpp;
/cvsroot/mozilla/xpfe/components/filepicker/src/nsWildCard.cpp,v  <--  nsWildCard.cpp
new revision: 1.6; previous revision: 1.5
done
Comment 8 Daniel Veditz [:dveditz] 2009-11-11 01:06:49 PST
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/72004f4e186d

Is there anything remaining to do on trunk or is this bug FIXED now?
Comment 9 Uli Link (:ul-mcamafia) 2009-11-11 01:39:38 PST
Newer branches and trunk are fixed by bug 497838
So nothing todo on AIX for filepicker.
Comment 10 Phil Ringnalda (:philor, back in August) 2010-01-02 17:51:29 PST
*** Bug 537556 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.